#ifndef TYPES_H
#define TYPES_H

/**
 * @file
 * Typdeklarationen
 *
 * @author
 * Philip Lehmann-Boehm (minf8180)
 */

#include <GL/gl.h>

// 3D-Vektor
typedef GLfloat CGPoint3Df[3];

// 4D-Vektor
typedef GLfloat CGPoint4Df[4];

// 3-Komponenten-Farbe
typedef GLfloat CGColor3f[3];

// 4-Komponenten-Farbe
typedef GLfloat CGColor4f[4];

// Eine Schattenmatrix
typedef GLfloat ShadowMatrix[15];

// Eine Person
typedef struct {
	float x;
	float y;
	float size;
} Person;

#endif
